
//	Copyright 2010 Ohtan's Design Corporation
//
//  Jul. the 22th 2010
//  Crated by A.Ohta
//

#include	"_AtrDef.h"													//	萔Af[^^̐錾

enum {TEMP,HUMI}; 

#define	_XTAL_FREQ	8000000			//	giNbNpj@16F886 3.3VpɕύX
	
#define TRIS_DATA	TRISB3    		//data port condition: input/output 
#define TRIS_SCK	TRISB2 

#define DATA		RB3       		//SHT11 DATA pin 
#define SCK			RB2				//STH11 SCK pin 

#define noACK		0 
#define ACK			1 

//adrress commands from Sensirion   //adr ||command || r/w 
#define MEASURE_TEMP 0x03           //000    0001       1 
#define MEASURE_HUMI 0x05           //000    0010       1 


//Constants used for SHT Humidity Measurment 
#define C1 -4 
#define C2 0.0405 
#define C3  -0.0000028 

//Constants used for SHT Temeperature Measurment (14 Bit) 
#define D1 -39.63			//(-40.0) 
#define D2 0.01 

// constant use for SHT True Humidity Measurement (12 Bit) 
#define T1  0.01 
#define T2  0.00008 

unsigned char s_write_byte(unsigned char);
unsigned char s_read_byte(unsigned char);
void s_transstart(void); 
void s_connectionreset(void);
    
float Rh_lin, RH_true=50,p; 
       
void shtinit(void);
void thp(UW ,UH);